- Main Page
- Related Pages
- Modules
- Data Structures
- Files
- Examples

Edje Text Selection
Edje Text Part

Functions that deal with selection in text parts. More...

#define | edje_obj_part_text_selection_get(part, ret) EDJE_OBJ_ID(EDJE_OBJ_SUB_ID_PART_TEXT_SELECTION_GET), EO_TYPECHECK(const char *, part), EO_TYPECHECK(const char **, ret)
| Return the selection text of the object part. More...
#define | edje_obj_part_text_select_none(part) EDJE_OBJ_ID(EDJE_OBJ_SUB_ID_PART_TEXT_SELECT_NONE), EO_TYPECHECK(const char *, part)
| Set the selection to be none. More...
#define | edje_obj_part_text_select_all(part) EDJE_OBJ_ID(EDJE_OBJ_SUB_ID_PART_TEXT_SELECT_ALL), EO_TYPECHECK(const char *, part)
| Set the selection to be everything. More...
#define | edje_obj_part_text_select_allow_set(part, allow) EDJE_OBJ_ID(EDJE_OBJ_SUB_ID_PART_TEXT_SELECT_ALLOW_SET), EO_TYPECHECK(const char *, part), EO_TYPECHECK(Eina_Bool, allow)
| Enables selection if the entry is an EXPLICIT selection mode. More...
#define | edje_obj_part_text_select_abort(part) EDJE_OBJ_ID(EDJE_OBJ_SUB_ID_PART_TEXT_SELECT_ABORT), EO_TYPECHECK(const char *, part)
| Aborts any selection action on a part. More...
#define | edje_obj_part_text_select_begin(part) EDJE_OBJ_ID(EDJE_OBJ_SUB_ID_PART_TEXT_SELECT_BEGIN), EO_TYPECHECK(const char *, part)
| Starts selecting at current cursor position. More...
#define | edje_obj_part_text_select_extend(part) EDJE_OBJ_ID(EDJE_OBJ_SUB_ID_PART_TEXT_SELECT_EXTEND), EO_TYPECHECK(const char *, part)
| Extends the current selection to the current cursor position. More...
const char * | edje_object_part_text_selection_get (const Evas_Object *obj, const char *part)
| Return the selection text of the object part. More...
void | edje_object_part_text_select_none (const Evas_Object *obj, const char *part)
| Set the selection to be none. More...
void | edje_object_part_text_select_all (const Evas_Object *obj, const char *part)
| Set the selection to be everything. More...
void | edje_object_part_text_select_allow_set (const Evas_Object *obj, const char *part, Eina_Bool allow)
| Enables selection if the entry is an EXPLICIT selection mode type. More...
void | edje_object_part_text_select_abort (const Evas_Object *obj, const char *part)
| Aborts any selection action on a part. More...
void | edje_object_part_text_select_begin (const Evas_Object *obj, const char *part)
| Starts selecting at current cursor position. More...
void | edje_object_part_text_select_extend (const Evas_Object *obj, const char *part)
| Extends the current selection to the current cursor position. More...

## Detailed Description

Functions that deal with selection in text parts.

Selection is a known functionality for texts in the whole computational world. It is a block of text marked for further manipulation.

Edje is responsible for handling this functionality through the following functions.

## Macro Definition Documentation

#define edje_obj_part_text_selection_get | ( |  | part,
|  |  | ret
| ) |  | EDJE_OBJ_ID(EDJE_OBJ_SUB_ID_PART_TEXT_SELECTION_GET), EO_TYPECHECK(const char *, part), EO_TYPECHECK(const char **, ret)

Return the selection text of the object part.

Since
  1.8

Parameters

  [in] | part |
  [out] | ret |

See Also
  edje_object_part_text_selection_get

Referenced by edje_object_part_text_selection_get().

#define edje_obj_part_text_select_none | ( |  | part | ) | EDJE_OBJ_ID(EDJE_OBJ_SUB_ID_PART_TEXT_SELECT_NONE), EO_TYPECHECK(const char *, part)

Set the selection to be none.

Since
  1.8

Parameters

  [in] | part |

See Also
  edje_object_part_text_select_none

Referenced by edje_object_part_text_select_none().

#define edje_obj_part_text_select_all | ( |  | part | ) | EDJE_OBJ_ID(EDJE_OBJ_SUB_ID_PART_TEXT_SELECT_ALL), EO_TYPECHECK(const char *, part)

Set the selection to be everything.

Since
  1.8

Parameters

  [in] | part |

See Also
  edje_object_part_text_select_all

Referenced by edje_object_part_text_select_all().

#define edje_obj_part_text_select_allow_set | ( |  | part,
|  |  | allow
| ) |  | EDJE_OBJ_ID(EDJE_OBJ_SUB_ID_PART_TEXT_SELECT_ALLOW_SET), EO_TYPECHECK(const char *, part), EO_TYPECHECK(Eina_Bool, allow)

Enables selection if the entry is an EXPLICIT selection mode.

Since
  1.8

Parameters

  [in] | part |
  [in] | allow |

See Also
  edje_object_part_text_select_allow_set

Referenced by edje_object_part_text_select_allow_set().

#define edje_obj_part_text_select_abort | ( |  | part | ) | EDJE_OBJ_ID(EDJE_OBJ_SUB_ID_PART_TEXT_SELECT_ABORT), EO_TYPECHECK(const char *, part)

Aborts any selection action on a part.

Since
  1.8

Parameters

  [in] | part |

See Also
  edje_object_part_text_select_abort

Referenced by edje_object_part_text_select_abort().

#define edje_obj_part_text_select_begin | ( |  | part | ) | EDJE_OBJ_ID(EDJE_OBJ_SUB_ID_PART_TEXT_SELECT_BEGIN), EO_TYPECHECK(const char *, part)

Starts selecting at current cursor position.

Since
  1.8

Parameters

  [in] | part |

See Also
  edje_object_part_text_select_begin

Referenced by edje_object_part_text_select_begin().

#define edje_obj_part_text_select_extend | ( |  | part | ) | EDJE_OBJ_ID(EDJE_OBJ_SUB_ID_PART_TEXT_SELECT_EXTEND), EO_TYPECHECK(const char *, part)

Extends the current selection to the current cursor position.

Since
  1.8

Parameters

  [in] | part |

See Also
  edje_object_part_text_select_extend

Referenced by edje_object_part_text_select_extend().

## Function Documentation

const char* edje_object_part_text_selection_get | ( | const Evas_Object * | obj,
|  | const char * | part
| ) |  |

Return the selection text of the object part.

Parameters

  obj | A valid Evas_Object handle
  part | The part name

Returns
  The text string

This function returns selection text of the object part.

See Also
  edje_object_part_text_select_all()
  edje_object_part_text_select_none()

Examples:
  edje-text.c.

References edje_obj_part_text_selection_get.

void edje_object_part_text_select_none | ( | const Evas_Object * | obj,
|  | const char * | part
| ) |  |

Set the selection to be none.

Parameters

  obj | A valid Evas_Object handle
  part | The part name

This function sets the selection text to be none.

Examples:
  edje-text.c.

References edje_obj_part_text_select_none.

void edje_object_part_text_select_all | ( | const Evas_Object * | obj,
|  | const char * | part
| ) |  |

Set the selection to be everything.

Parameters

  obj | A valid Evas_Object handle
  part | The part name

This function selects all text of the object of the part.

Examples:
  edje-text.c.

References edje_obj_part_text_select_all.

void edje_object_part_text_select_allow_set | ( | const Evas_Object * | obj,
|  | const char * | part,
|  | Eina_Bool | allow
| ) |  |

Enables selection if the entry is an EXPLICIT selection mode type.

Parameters

  obj | A valid Evas_Object handle
  part | The part name
  allow | EINA_TRUE to enable, EINA_FALSE otherwise

The default is to not allow selection. This function only affects user selection, functions such as edje_object_part_text_select_all() and edje_object_part_text_select_none() are not affected.

Examples:
  edje-text.c.

References edje_obj_part_text_select_allow_set.

void edje_object_part_text_select_abort | ( | const Evas_Object * | obj,
|  | const char * | part
| ) |  |

Aborts any selection action on a part.

Parameters

  obj | A valid Evas_Object handle
  part | The part name

References edje_obj_part_text_select_abort.

void edje_object_part_text_select_begin | ( | const Evas_Object * | obj,
|  | const char * | part
| ) |  |

Starts selecting at current cursor position.

Parameters

  obj | A valid Evas_Object handle
  part | The part name

References edje_obj_part_text_select_begin.

void edje_object_part_text_select_extend | ( | const Evas_Object * | obj,
|  | const char * | part
| ) |  |

Extends the current selection to the current cursor position.

Parameters

  obj | A valid Evas_Object handle
  part | The part name

References edje_obj_part_text_select_extend.